Package com.castlabs.android.adverts

# Class Adverts

java.lang.Object
com.castlabs.android.adverts.Adverts

public class Adverts extends Object
Provides static access to Ad providers.

Since:
  3.2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addClientProvider(ClientAdProvider provider)`
  Register a new client-side Ad provider.
  `static void`
  `addProvider(AdProvider provider)`
  Register a new Ad provider.
  `static void`
  `addServerProvider(ServerAdProvider provider)`
  Register a new server-side Ad provider.
  `static List<ClientAdProvider>`
  `getClientProviders()`
  Returns the list of registered client-side Ad providers.
  `static List<ServerAdProvider>`
  `getServerProviders()`
  Returns the list of registered server-side Ad providers.
  `static void`
  `removeClientProvider(ClientAdProvider provider)`
  Remove a client-side Ad provider.
  `static void`
  `removeProvider(AdProvider provider)`
  Remove registered Ad provider.
  `static void`
  `removeServerProvider(ServerAdProvider provider)`
  Remove a server-side Ad provider.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### addProvider

    public static void addProvider(@NonNull AdProvider provider)
    Register a new Ad provider.
    Parameters:
      `provider` - The provider

  - ### removeProvider

    public static void removeProvider(@NonNull AdProvider provider)
    Remove registered Ad provider.
    Parameters:
      `provider` - The provider

  - ### addClientProvider

    public static void addClientProvider(@NonNull ClientAdProvider provider)
    Register a new client-side Ad provider.
    Parameters:
      `provider` - The provider

  - ### removeClientProvider

    public static void removeClientProvider(@NonNull ClientAdProvider provider)
    Remove a client-side Ad provider.
    Parameters:
      `provider` - The provider

  - ### addServerProvider

    public static void addServerProvider(@NonNull ServerAdProvider provider)
    Register a new server-side Ad provider.
    Parameters:
      `provider` - The provider

  - ### removeServerProvider

    public static void removeServerProvider(@NonNull ServerAdProvider provider)
    Remove a server-side Ad provider.
    Parameters:
      `provider` - The provider

  - ### getClientProviders

    @NonNull public static List<ClientAdProvider> getClientProviders()
    Returns the list of registered client-side Ad providers.
    Returns:
      The list of registered client-side Ad providers.

  - ### getServerProviders

    @NonNull public static List<ServerAdProvider> getServerProviders()
    Returns the list of registered server-side Ad providers.
    Returns:
      The list of registered server-side Ad providers.